यूबिंग
 ===========
 वीडियो होस्टिंग साइट चलाने के लिए यूबिंग ओपन-सोर्स सॉफ्टवेयर है।

 यह स्वचालित रूप से आपके स्रोत वीडियो को आधुनिक स्ट्रीमिंग प्रारूपों में ट्रांसकोड करता है, किसी पर भी चलाया जा सकता है
 किसी भी कनेक्शन पर डिवाइस।

 Yuebing बैकएंड स्टोरेज के लिए Amazon S3 या Backblaze B2 का उपयोग कर सकता है, और इसमें कई उन्नत सुविधाएँ हैं।

 ### स्रोत
 * [गिटहब पर यूबिंग](https://github.com/cobbzilla/yuebing)
 * [एनपीएम पर यूबिंग](https://www.npmjs.com/package/yuebing)
 * [डॉकरहब पर यूबिंग](https://hub.docker.com/repository/docker/cobbzilla/yuebing)

 #इसे दूसरी भाषा में पढ़ें
 इस README.md दस्तावेज़ का अनुवाद [hokeylization](https://github.com/cobbzilla/hokeylization) के माध्यम से किया गया है।
 कई अलग-अलग भाषाएँ।

 मुझे यकीन है कि यह सही नहीं है, लेकिन मुझे आशा है कि यह कुछ भी नहीं से बेहतर है!

 [🇸🇦 अरबी](../ar/README.md)
 [🇧🇩 बंगाली](../bn/README.md)
 [🇩🇪 जर्मन](../de/README.md)
 [🇺🇸 अंग्रेजी](../hi/README.md)
 [🇪🇸 स्पेनिश](../es/README.md)
 [🇫🇷 फ्रेंच](../fr/README.md)
 [🇹🇩 हौसा](../ha/README.md)
 [🇮🇳 हिन्दी](../hi/README.md)
 [🇮🇩 इन्डोनेशियाई](../id/README.md)
 [🇮🇹 इटालियन](../it/README.md)
 [🇯🇵 जापानी](../ja/README.md)
 [🇰🇷 कोरियाई](../ko/README.md)
 [🇮🇳 मरांथी](../mr/README.md)
 [🇵🇱 पोलिश](../pl/README.md)
 [🇧🇷 पुर्तगाली](../pt/README.md)
 [🇷🇺 रूसी](../ru/README.md)
 [🇰🇪 स्वाहिली](../sw/README.md)
 [🇵🇭 तागालोग](../tl/README.md)
 [🇹🇷 तुर्की](../tr/README.md)
 [🇵🇰 उर्दू](../ur/README.md)
 [🇻🇳 वियतनामी](../vi/README.md)
 [🇨🇳 चीनी](../zh/README.md)
 ----

 # सामग्री
 * [प्रेरणा](#प्रेरणा)
 * [फीचर्स](#फीचर्स)
 * [स्थापना](# स्थापना)
 * [डॉकर](#डॉकर)
 * [एनपीएम पैकेज](# एनपीएम-पैकेज)
 * [स्रोत से](# स्रोत से)
 * [कॉन्फ़िगरेशन](#कॉन्फ़िगरेशन)
 * [nginx config](#nginx-config)
 * [यूबिंग नाम क्यों?](#क्यों-द-नेम-यूबिंग?)

 ## प्रेरणा
 पिछले साल मेरी माँ ने पुराने पारिवारिक वीडियो के संग्रह को व्यवस्थित और डिजिटाइज़ करने के लिए एक टन समय (और पैसा!) खर्च किया।
 इनमें से कुछ काफी पुराने थे, जो 1950 के दशक में वापस जा रहे थे। वास्तव में सुंदर, क्लासिक सामान।

 हम इन्हें निजी तौर पर परिवार के साथ साझा करना चाहते थे, लेकिन *बड़ी तकनीक के साथ नहीं*।
 एक प्रमुख प्रदाता से "मुफ्त" वीडियो होस्टिंग के साथ जाना तालिका से बाहर था।

 हम क्या ढूंढ रहे थे:
 * स्व-होस्टेड, लेकिन पूरी तरह से **हैंड्स-ऑफ़ आसान** चलाने और बनाए रखने के लिए
 * अनुकूली बिटरेट सहित आधुनिक वीडियो प्रारूपों में स्ट्रीम
 * वीडियो किसी भी डिवाइस, डेस्कटॉप या मोबाइल पर चलते हैं
 * उच्च-बैंडविड्थ कनेक्शन के साथ, वीडियो की गुणवत्ता बहुत बढ़िया है; इसके होने जितना अच्छा
 **खराब कनेक्शन के साथ भी**, प्लेबैक अच्छी गुणवत्ता वाला है और *छोड़ता या बफर नहीं करता है*
 * एन्क्रिप्टेड स्टोरेज, इस प्रकार कुछ आत्मविश्वास के साथ सार्वजनिक क्लाउड स्टोरेज समाधानों का उपयोग करने में सक्षम
 * स्टेटलेस सर्वर: भंडारण के लिए महत्वपूर्ण कुछ भी जारी रखें जो अत्यधिक लचीला हो
 **मैं बैकअप के बारे में चिंता नहीं करना चाहता!**
 * *यह पाकर अच्छा लगा। जैसा कि यह पता चला है कि ऐसा कुछ भी नहीं है। यूबिंग करता है!*
 * सब कुछ ट्रांसकोड करने के लिए एक बीफ इंस्टेंस चलाने के बाद, इसे फाड़ दें और लंबे समय तक कुछ सस्ता चलाएं
 * आप Yuebing को $10/माह से कम में चला सकते हैं; और उम्मीद है कि सड़क के नीचे भी कम होगा क्योंकि हम यूबिंग के पदचिह्न को अनुकूलित करते हैं

 मुझे सर्वेक्षण करने में कुछ हफ़्ते लगे कि वहाँ क्या था। मैंने अपनी आवश्यकताओं में बहुत ढील देना शुरू कर दिया, और फिर भी
 कुछ भी सभ्य नहीं मिला। मैंने कई ओपन सोर्स प्रोजेक्ट्स को देखा, मैं यह नहीं कह रहा हूं क्योंकि उन सभी के पास था
 कई स्पष्ट दोष।

 तो, मैंने फैसला किया, यह कितना कठिन हो सकता है? आप S3 को ffmpeg पर वायर करते हैं, उस पर एक शालीनता से आधुनिक फ्रंटएंड लगाते हैं, और आपका काम हो गया,
 सही?

 .... उह, ठीक है, मैं इस समय लगभग एक महीने का हूँ, लेकिन यह बहुत मज़ेदार है! मुझे उम्मीद है आपको भी मजा आएगा!

 ### <a style="text-decoration: none; color: inherit" href="https://open.spotify.com/track/0HEYFRBo4pBLLWjXsAZjod?si=riLTqMknTji7_X_4XzSkGQ&context=spotify%3Aalbum%3A20KGjm5xRROTqP0UY1EVRg">**आइए सेल्फ़-होस्टिंग वीडियो साइटों को बेहद आसान बनाते हैं!**</a>

 ## विशेषताएँ
 * दोस्तों और परिवार के लिए एक निजी वीडियो साइट में वीडियो के साथ एक S3 बाल्टी को रूपांतरित करें!
 * कच्ची मीडिया फ़ाइलें प्रदान करने वाले एक या अधिक स्रोत बकेट कनेक्ट करें
 * Yuebing स्वचालित रूप से अनुकूली बिटरेट स्ट्रीमिंग (DASH/mp4) के लिए स्रोत वीडियो को नवीनतम और सबसे व्यापक रूप से समर्थित प्रारूप में ट्रांसकोड करता है
 * सभी डेटा को गंतव्य बकेट में संग्रहीत किया जाता है, ताकि आप कंटेनर को नष्ट कर सकें और इसे बाद में ला सकें
 * प्रारंभिक परिवर्तन के लिए सीपीयू-अनुकूलित उदाहरण पर शुरू में चलने के लिए उपयोगी, फिर चलाएं \
    on a much cheaper instance for 24/7/365 service.
 * पूरी तरह से एन्क्रिप्टेड स्टोरेज का समर्थन करता है (ऐप-साइड एन्क्रिप्शन, केवल आपके पास कुंजी है)
 * हमेशा स्रोत से केवल पढ़ने के लिए, स्रोत सामग्री को कभी न बदलें
 * नई मीडिया फ़ाइलों के लिए स्वचालित और मैन्युअल स्कैनिंग
 * आप कितनी निजी या सार्वजनिक चीजें चाहते हैं? यूबिंग समर्थन करता है:
 * पूरी तरह से निजी: अनाम उपयोगकर्ताओं को कोई मीडिया नहीं दिखाया गया, केवल स्वीकृत ईमेल पते ही खाते बना सकते हैं
 * अर्ध-निजी: अनाम उपयोगकर्ताओं को कोई मीडिया नहीं दिखाया गया है, लेकिन कोई भी उपयोगकर्ता खाता बना सकता है
 * सीमित पंजीकरण के साथ सार्वजनिक: सभी को दिखाया गया मीडिया, लेकिन केवल स्वीकृत ईमेल पते ही खाते बना सकते हैं
 * पूरी तरह से सार्वजनिक: सभी को दिखाया गया मीडिया, और कोई भी उपयोगकर्ता खाता बना सकता है
 * पूरी तरह से अंतर्राष्ट्रीयकृत! सभी उपयोगकर्ता-दृश्यमान टेक्स्ट (और अन्य स्थानीय-विशिष्ट सामग्री) स्थानीय संसाधनों से आते हैं
 * [समुदाय की मदद करें, यूबिंग का नई भाषाओं में अनुवाद करें!](https://github.com/cobbzilla/yuebing/blob/master/docs/localize.md)
 * पूर्ण विशेषताओं वाला व्यवस्थापक कंसोल
 **एक बात मैं मानता हूँ अभी भी पूरी तरह से बेकार है:**
 * "खोज अनुभव" में *निर्देशिका पदानुक्रम को नेविगेट करना* शामिल है। वह **सुपर लंगड़ा** है, लेकिन हमें कहीं से शुरुआत करनी थी।
 * हम उचित खोज, टैगिंग, सुझाव आदि के लिए समर्थन जोड़ेंगे।
 * ठीक है, वास्तव में बहुत सारा सामान है जो अभी भी बेकार है, और यह पूरी तरह से 1.0 सॉफ्टवेयर है, लेकिन जो सामान काम करता है वह बहुत अच्छा है
 <a href="https://www.patreon.com/cobbzilla">**जल्द ही आपके सहयोग से आ रहा है**</a> :
 * अधिक मीडिया प्रकारों के लिए समर्थन (ऑडियो, चित्र, आदि)
 *उपयोगकर्ता द्वारा अपलोड किया गया मीडिया
 * नया "स्रोत प्रकार": एक और यूबिंग उदाहरण!
    * Federation between friendly instances: unified search, user accounts, etc

 ## अनाम उपयोगकर्ता सुविधा (यदि साइट को अज्ञात आगंतुकों को अनुमति देने के लिए कॉन्फ़िगर किया गया है)
 * ब्राउज़ मीडिया
 * मीडिया देखें!
 * खाता बनाएं (यदि साइट को खाता पंजीकरण की अनुमति देने के लिए कॉन्फ़िगर किया गया है)

 ## लॉग-इन उपयोगकर्ता सुविधाएँ
 * ब्राउज़ मीडिया
 * मीडिया देखें!
 * एक टिप्पणी जोड़ें, अपनी टिप्पणी संपादित करें, अपनी टिप्पणी हटाएं!
 * मीडिया की तरह (जल्द ही आ रहा है!)
 * मित्रों को आमंत्रित करें
 * भाषा को अंग्रेजी या फ्रेंच में सेट करें (कृपया और अनुवाद जोड़ें!)
 *खाता जानकारी संपादित करें
 * खाता हटाएं, आपकी सभी टिप्पणियों सहित वह सब कुछ हटा दें जो आपका है

 ## व्यवस्थापक उपयोगकर्ता सुविधाएँ
 * मीडिया मेटाडेटा संपादित करें, थंबनेल देखें, चयनित थंबनेल बदलें
 * मीडिया परिवर्तन कतार और नौकरी की स्थिति देखें
 * स्रोत मीडिया के नए स्कैन और अनुक्रमणिका प्रारंभ करें

 ## सर्वर/बैकएंड सुविधाएं
 * क्षणिक-अनुकूल, शून्य लगातार/महत्वपूर्ण डेटा कंटेनर के भीतर संग्रहीत किया जाता है।
 * सभी टिकाऊ डेटा गंतव्य बकेट में बने रहते हैं; अनिवार्य रूप से, हम अपने डेटाबेस के रूप में S3 का उपयोग करते हैं
 * नए मीडिया के लिए स्रोत बकेट की स्वचालित आवधिक स्कैनिंग
 * मीडिया मेटाडेटा जोड़ें और बदलें; संपादन गंतव्य बकेट पर संग्रहीत होते हैं, स्रोत मीडिया कभी संशोधित नहीं होता है
 * विन्यास योग्य आउटपुट प्रोफाइल। डिफ़ॉल्ट चार प्रोफाइल के साथ DASH-mp4 है, जो एचडी से बेहतर-से-सुपर-लो बैंडविड्थ तक गुणवत्ता स्तरों का समर्थन करता है
 * उपयोगकर्ता खाते की जानकारी गंतव्य बकेट पर भी संग्रहीत की जाती है, वैकल्पिक रूप से एन्क्रिप्टेड
 * यदि एन्क्रिप्शन कुंजी बदली जाती है, तो व्यवस्थापक वेब व्यवस्थापक कंसोल के साथ उपयोगकर्ताओं को नई कुंजी में माइग्रेट कर सकता है

 ## स्थापना
 आप डॉकटर, एनपीएम या सीधे स्रोत से `yuebing` को स्थापित और चला सकते हैं।

 ### डोकर
 यदि आपके पास डॉकटर है, तो आप यूबिंग के साथ जल्दी से शुरुआत कर सकते हैं:

    docker run -it cobbzilla/yuebing

 ### एनपीएम पैकेज
    # install globally with npm
    npm i -g yuebing

    # install globally with yarn
    yarn global add yuebing

    # Now the 'yuebing' command should be on your PATH
    yuebing

 ### स्रोत से
 स्रोत से चलाने के लिए, आपको नोडज v16+ और यार्न की आवश्यकता होगी

    # Clone source and install dependencies
    git clone https://github.com/cobbzilla/yuebing.git
    cd yuebing
    yarn install

    # Use the 'yuebing' command from the git repo
    ./yuebing

    # Or, since you have the source, run any of the `yarn` scripts
    yarn docker-run-dev # Fastest build & startup, dev docker image
    yarn docker-run # Faster at runtime, production docker image
    yarn dev # Run yuebing locally in dev mode
    yarn build # Build yuebing locally for production mode
    yarn start # Start yuebing locally in production mode

 अधिक जानकारी के लिए [डेवलपर डॉक्स](https://github.com/cobbzilla/yuebing/blob/master/docs/developer.md) देखें

 ## विन्यास
 यूबिंग के साथ खेलने के लिए, कुछ भी कॉन्फ़िगर किए बिना इसे शुरू करना ठीक है।
 `yuebing` चलाएं और जब यह शुरू होगा तो आपको न्यूनतम कॉन्फ़िगरेशन दर्ज करने के लिए प्रेरित किया जाएगा।

 अगर आप कुछ समय के लिए यूबिंग चलाने की योजना बना रहे हैं, तो इसके लिए [कॉन्फ़िगरेशन डॉक्स](https://github.com/cobbzilla/yuebing/blob/master/docs/config.md) देखें।
 चीज़ों को सेट अप करने के तरीके के बारे में अधिक जानकारी।

 ### nginx विन्यास
 Yuebing केवल एक Nuxt ऐप है, और उम्मीद करता है कि आप nginx (या कोई अन्य वेब सर्वर) को इसमें डालेंगे
 एसएसएल को संभालने के लिए इसके सामने, जरूरत पड़ने पर रेट लिमिटिंग आदि।

 यदि आप nginx का उपयोग कर रहे हैं, तो यहां एक [नमूना कॉन्फ़िगरेशन](https://github.com/cobbzilla/yuebing/blob/master/docs/sample-yuebing-nginx.conf) है जिसका आप उपयोग कर सकते हैं।

 ## यूबिंग नाम क्यों?
 [खरगोश ऊलोंग](https://en.wikipedia.org/wiki/Oolong_(rabbit)) एक प्यारा और प्रसिद्ध था
 [शुरुआती इंटरनेट मेमे](https://duckduckgo.com/?q=oolong+rabbit&ia=images&iax=images)। 2003 में ओलोंग की मृत्यु हो गई,
 दो साल पहले एक निश्चित रूप से लोकप्रिय वीडियो सेवा भी अस्तित्व में थी!

 ऊलोंग के उत्तराधिकारी का नाम यूबिंग था। यूबिंग लगभग ऊलोंग के रूप में प्रसिद्ध नहीं था, लेकिन क्या यह भी मायने रखता था?
 यूबिंग फिर भी सफल रहा।

 शायद अधिक दिलचस्प बात यह है कि यूबिंग का अर्थ है [मूनकेक](https://en.wikipedia.org/wiki/Mooncake)
 (चीनी: [月饼](https://zh.wikipedia.org/wiki/%E6%9C%88%E9%A5%BC),
 जापानी: [月餅](https://ja.wikipedia.org/wiki/%E6%9C%88%E9%A4%85)); मूनकेक बहुत स्वादिष्ट होते हैं और इसमें पाए जा सकते हैं
 स्वाद और शैलियों की एक विस्तृत विविधता। एक समय-सम्मानित क्षेत्रीय शैली का आनंद लें, या समकालीन से एक आकर्षक केक का प्रयास करें
 बेकर जो स्वादिष्ट रूप से अज्ञात क्षेत्र की खोज कर रहे हैं! वास्तव में सभी के लिए एक उत्साह है!

</pre>
