Юэбин 🥮
 ==========
 Yuebing — это программное обеспечение с открытым исходным кодом для запуска сайтов видеохостинга.

 Он автоматически перекодирует ваши исходные видео в современные потоковые форматы, которые можно воспроизводить на любом устройстве.
 устройство по любому соединению.

 Yuebing может использовать Amazon S3 или Backblaze B2 в качестве внутреннего хранилища и имеет множество дополнительных функций.

 ### Источник
 * [yuebing на GitHub](https://github.com/cobbzilla/yuebing)
 * [yebing на npm](https://www.npmjs.com/package/yuebing)
 * [yuebing на DockerHub](https://hub.docker.com/repository/docker/cobbzilla/yuebing)

 # Прочтите это на другом языке
 Этот документ README.md был переведен с помощью [hokeylization](https://github.com/cobbzilla/hokeylization) на
 много разных языков.

 Я уверен, что это не идеально, но я надеюсь, что это лучше, чем ничего!

 [🇸🇦 арабский](../ar/README.md)
 [🇧🇩 Бенгальский](../bn/README.md)
 [🇩🇪 Немецкий](../de/README.md)
 [🇺🇸 английский](../en/README.md)
 [🇪🇸 Испанский](../es/README.md)
 [🇫🇷 Французский](../fr/README.md)
 [🇹🇩 Хауса](../ha/README.md)
 [🇮🇳 Хинди](../hi/README.md)
 [🇮🇩 Индонезийский](../id/README.md)
 [🇮🇹 итальянский](../it/README.md)
 [🇯🇵 Японский](../ja/README.md)
 [🇰🇷 Корейский](../ko/README.md)
 [🇮🇳 Маранти](../mr/README.md)
 [🇵🇱 Польский](../pl/README.md)
 [🇧🇷 Португальский](../pt/README.md)
 [🇷🇺 Русский](../ru/README.md)
 [🇰🇪 Суахили](../sw/README.md)
 [🇵🇭 Тагальский](../tl/README.md)
 [🇹🇷 Турецкий](../tr/README.md)
 [🇵🇰 урду](../ur/README.md)
 [🇻🇳 Вьетнамский](../vi/README.md)
 [🇨🇳 Китайский](../zh/README.md)
 ----

 # Содержание
 * [Вдохновение](#Вдохновение)
 * [Функции](#Функции)
 * [Установка](#Установка)
 * [Докер](#Докер)
 * [пакет npm](#npm-пакет)
 * [Из источника](#Из источника)
 * [Конфигурация](#Конфигурация)
 * [конфигурация nginx](#nginx-config)
 * [Почему имя юэбин?](#Почему-имя-юбин?)

 ## Вдохновение
 В прошлом году моя мама потратила массу времени (и денег!), чтобы организовать и оцифровать архив старых семейных видео.
 Некоторые из них были довольно старыми, начиная с 1950-х годов. Очень красивая, классическая вещь.

 Мы хотели поделиться ими в частном порядке с семьей, но * не с крупными технологиями *.
 Переход на «бесплатный» видеохостинг от крупного провайдера не обсуждался.

 Что мы искали:
 * Самостоятельный хостинг, но полностью **автоматический** для запуска и обслуживания
 * Потоки в современных форматах видео, включая адаптивный битрейт
 * Видео воспроизводится на любом устройстве, настольном или мобильном
 * При высокоскоростном соединении качество видео потрясающее; Лучше не бывает
 * **Даже при плохом соединении** воспроизведение имеет достойное качество и *не пропускает и не буферизует*
 * Зашифрованное хранилище, что позволяет уверенно использовать общедоступные облачные хранилища.
 * Сервер без сохранения состояния: сохраняйте все важные данные в хранилище с высокой отказоустойчивостью.
 * **Я не хочу беспокоиться о резервных копиях!**
 * * Это было приятно иметь. Как оказалось ничего подобного нет. Юэбин знает!*
 * После запуска мощного экземпляра для перекодирования всего, разберите его и запустите что-то более дешевое на долгосрочную перспективу.
 * Вы можете запустить Yuebing менее чем за 10 долларов в месяц; и, надеюсь, еще меньше в будущем, когда мы оптимизируем присутствие Yuebing

 Я потратил пару недель, чтобы изучить, что там было. Я начал сильно ослаблять свои требования, и все же
 ничего приличного не нашел. Я просмотрел несколько проектов с открытым исходным кодом, я не говорю какие, потому что все они имели
 несколько явных недостатков.

 Итак, я решил, насколько это может быть сложно? Вы подключаете S3 к ffmpeg, устанавливаете на него прилично современный интерфейс, и все готово.
 Правильно?

 .... ммм, ладно, на данный момент мне уже около месяца, но это слишком весело! Надеюсь, вам тоже понравится!

 ### <a style="text-decoration: none; color: inherit" href="https://open.spotify.com/track/0HEYFRBo4pBLLWjXsAZjod?si=riLTqMknTji7_X_4XzSkGQ&context=spotify%3Aalbum%3A20KGjm5xRROTqP0UY1EVRg">**Сделаем самостоятельный хостинг видеосайтов очень простым!**</a>

 ## Функции
 * Превратите ведро S3 с видео в частный видеосайт для друзей и семьи!
 * Подключите один или несколько исходных блоков, предоставляющих необработанные медиафайлы.
 * Yuebing автоматически перекодирует исходное видео в новейший и наиболее широко поддерживаемый формат для потоковой передачи с адаптивным битрейтом (DASH/mp4).
 * ВСЕ данные хранятся в целевом сегменте, поэтому вы можете уничтожить контейнер и открыть его позже.
 * Полезно для первоначального запуска на экземпляре, оптимизированном для ЦП, для первоначального преобразования, а затем запускать \
    on a much cheaper instance for 24/7/365 service.
 * Поддерживает полностью зашифрованное хранилище (шифрование на стороне приложения, ключ есть только у вас)
 * Всегда доступен только для чтения из исходного кода, никогда не изменяйте исходный контент
 * Автоматическое и ручное сканирование новых медиафайлов
 * Насколько частные или публичные вещи вы хотите? Юэбин поддерживает:
 * Полностью конфиденциально: анонимным пользователям не показываются медиафайлы, только утвержденные адреса электронной почты могут создавать учетные записи.
 * Полуприватный: анонимным пользователям не показываются медиафайлы, но любой может создать учетную запись пользователя.
 * Публичный с ограниченной регистрацией: медиафайлы видны всем, но только утвержденные адреса электронной почты могут создавать учетные записи.
 * Полностью публичный: медиафайлы видны всем, и любой может создать учетную запись пользователя.
 * Полностью интернационализирован! Весь видимый пользователю текст (и другие вещи, зависящие от локали) поступает из локализованных ресурсов.
 * [Помогите сообществу, переведите Yuebing на новые языки!](https://github.com/cobbzilla/yuebing/blob/master/docs/localize.md)
 * Полнофункциональная консоль администратора
 * **Одна вещь, которую я признаю, по-прежнему полный отстой:**
 * "Опыт открытия" заключается в *навигации по иерархии каталогов*. Это **супер отстой**, но нам нужно было с чего-то начинать.
 * Мы добавим поддержку правильного поиска, тегов, предложений и т. д.
 * Хорошо, на самом деле есть много вещей, которые все еще отстой, и это полностью программное обеспечение 1.0, но то, что работает, довольно круто.
 * <a href="https://www.patreon.com/cobbzilla">**Скоро появится при вашей поддержке**</a> :
 * Поддержка большего количества типов мультимедиа (аудио, изображения и т. д.)
 * Пользовательские медиафайлы
 * Новый «тип источника»: еще один экземпляр Yuebing!
    * Federation between friendly instances: unified search, user accounts, etc

 ## Функция анонимного пользователя (если на сайте разрешены анонимные посетители)
 * Просмотр медиа
 * Смотреть СМИ!
 * Создать учетную запись (если на сайте разрешена регистрация учетной записи)

 ## Функции пользователя, вошедшего в систему
 * Просмотр медиа
 * Смотреть СМИ!
 * Добавьте комментарий, отредактируйте свой комментарий, удалите свой комментарий!
 * Как СМИ (скоро!)
 * Пригласить друзей
 * Установите язык на английский или французский (пожалуйста, добавьте больше переводов!)
 * Изменить информацию об учетной записи
 * Удалить учетную запись, удаляет все, что принадлежит вам, включая все ваши комментарии

 ## Пользовательские функции администратора
 * Редактировать метаданные мультимедиа, просматривать миниатюры, изменять выбранные миниатюры
 * Просмотр очереди преобразования мультимедиа и статуса задания
 * Запуск новых сканирований и индексов исходных носителей

 ## Функции сервера/бэкенда
 * Дружественный к переходным процессам, ноль постоянных/важных данных хранится в контейнере.
 * Все долговременные данные сохраняются в целевом сегменте; по сути, мы используем S3 в качестве нашей базы данных
 * Автоматическое периодическое сканирование исходной корзины на наличие новых носителей
 * Добавлять и изменять метаданные мультимедиа; правки сохраняются в целевом сегменте, исходный медиафайл никогда не изменяется
 * Настраиваемые выходные профили. По умолчанию используется DASH-mp4 с четырьмя профилями, поддерживающими уровни качества от лучше, чем HD, до сверхнизкой пропускной способности.
 * Информация об учетной записи пользователя также хранится в целевом сегменте и может быть зашифрована.
 * Если ключ шифрования изменен, администратор может перевести пользователей на новый ключ с помощью веб-консоли администратора.

 ## Монтаж
 Вы можете установить и запустить `yuebing` через докер, npm или напрямую из исходников.

 ### Докер
 Если у вас есть докер, вы можете быстро начать работу с Yuebing:

    docker run -it cobbzilla/yuebing

 ### пакет npm
    # install globally with npm
    npm i -g yuebing

    # install globally with yarn
    yarn global add yuebing

    # Now the 'yuebing' command should be on your PATH
    yuebing

 ### Из источника
 Для запуска из исходников вам понадобятся nodejs v16+ и yarn.

    # Clone source and install dependencies
    git clone https://github.com/cobbzilla/yuebing.git
    cd yuebing
    yarn install

    # Use the 'yuebing' command from the git repo
    ./yuebing

    # Or, since you have the source, run any of the `yarn` scripts
    yarn docker-run-dev # Fastest build & startup, dev docker image
    yarn docker-run # Faster at runtime, production docker image
    yarn dev # Run yuebing locally in dev mode
    yarn build # Build yuebing locally for production mode
    yarn start # Start yuebing locally in production mode

 См. [документы для разработчиков](https://github.com/cobbzilla/yuebin/blob/master/docs/developer.md) для получения дополнительной информации.

 ## Конфигурация
 Чтобы поиграть с Yuebing, можно запустить его, ничего не настраивая.
 Запустите `yuebing` , и вам будет предложено ввести минимальную конфигурацию при запуске.

 Если вы планируете какое-то время использовать Yuebing, см. [документацию по конфигурации](https://github.com/cobbzilla/yuebin/blob/master/docs/config.md) для
 больше информации о том, как настроить вещи.

 ### конфиг nginx
 Yuebing — это просто приложение Nuxt, и оно ожидает, что вы поместите nginx (или какой-либо другой веб-сервер) в
 перед ним для обработки SSL, ограничения скорости при необходимости и т. д.

 Если вы используете nginx, вот [пример конфигурации](https://github.com/cobbzilla/yuebing/blob/master/docs/sample-yuebing-nginx.conf), который вы можете использовать.

 ## Почему имя Юбин?
 [Кролик Улун](https://en.wikipedia.org/wiki/Улун_(кролик)) был очаровательным и известным
 [ранний интернет-мем](https://duckduckgo.com/?q=oolong+rabbit&ia=images&iax=images). Улун умер в 2003 году.
 за два года до того, как появился некий массовый видеосервис!

 Преемника Улуна звали Юэбин. Юэбин не был так известен, как Улун, но разве это имело значение?
 Тем не менее Юэбину это удалось.

 Возможно, что более интересно, юэбин означает [лунный пирог](https://en.wikipedia.org/wiki/Mooncake)
 (Китайский: [月饼](https://zh.wikipedia.org/wiki/%E6%9C%88%E9%A5%BC),
 Японский: [月餅](https://ja.wikipedia.org/wiki/%E6%9C%88%E9%A4%85)); лунные лепешки очень вкусные и их можно найти в
 разнообразие вкусов и стилей. Наслаждайтесь проверенным временем региональным стилем или попробуйте экзотический торт, приготовленный по современным рецептам.
 пекари, которые исследуют восхитительно неизведанную территорию! Юэбинг действительно найдется для всех!

</pre>
